Skip to main content
Contract / Payments

Has contract posted payments

This method requires the ContractPaymentStructures:Get permission to be associated with your role.

GET
/fm/contract/payment-structures/posted
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
contract_idstringqueryrequired

Contract Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
supplier_idstringqueryrequired

Supplier Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
payment_typeenum<string>query

Payment Type

Available options: finance, comprehensive-insurance, finance-principal-interest, management-fee, roadside-assistance, sundry-payment

Response

application/vnd.catch-e-api.v1+json

Success

posted_paymentsenum<string>
Available options: yes, no